Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.role.impl
Class RoleFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.gmt.modisco.infra.role.impl.RoleFactoryImpl

All Implemented Interfaces:
  RoleFactory

    public class RoleFactoryImpl

extends EFactoryImpl
implements RoleFactory

An implementation of the model Factory.

Field Summary

Fields inherited from interface org.eclipse.gmt.modisco.infra.role.RoleFactory
`eINSTANCE`

Constructor Summary
`RoleFactoryImpl()` Creates an instance of the factory.

Method Summary
`EObject` | `create(EClass eClass)`
`Role` | `createRole()`
`RoleAttribute` | `createRoleAttribute()`
`RoleReference` | `createRoleReference()`
`RoleSet` | `createRoleSet()`
`Shortcut` | `createShortcut()`
`static RolePackage` | `getPackage()` Deprecated.
`RolePackage` | `getRolePackage()`
`static RoleFactory` | `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleFactoryImpl

    public RoleFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static RoleFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createRole

    public Role createRole()

  Specified by:
    `createRole` in interface `RoleFactory`
  Returns:
    a new object of class 'Role'.

### createRoleAttribute

    public RoleAttribute createRoleAttribute()

  Specified by:
    `createRoleAttribute` in interface `RoleFactory`
  Returns:
    a new object of class 'Attribute'.

### createRoleReference

    public RoleReference createRoleReference()

  Specified by:
    `createRoleReference` in interface `RoleFactory`
  Returns:
    a new object of class 'Reference'.

### createRoleSet

    public RoleSet createRoleSet()

  Specified by:
    `createRoleSet` in interface `RoleFactory`
  Returns:
    a new object of class 'Set'.

### createShortcut

    public Shortcut createShortcut()

  Specified by:
    `createShortcut` in interface `RoleFactory`
  Returns:
    a new object of class 'Shortcut'.

### getRolePackage

    public RolePackage getRolePackage()

  Specified by:
    `getRolePackage` in interface `RoleFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static RolePackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD